mysite/urls.py
from django.conf.urls import url, include
from django.contrib import admin


urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^homepage/', include('homepage.urls', namespace="homepage")),
    url(r'^servicii/', include('servicii.urls', namespace='servicii')),
    url(r'^clienti/', include('clienti.urls', namespace='clienti')),
    url(r'^', include('account.urls', namespace='account')),
]

servicii/urls.py
from django.conf.urls import url

from . import views

urlpatterns = [
    url(r'servicii/(?P<pk>[0-9]+)/delete/$', views.ServiciuDelete.as_view(), name='serviciu-delete'),
    url(r'', views.servicii, name='adauga_servicii'),
]

servicii/models.py
from django.db import models

servicii/views.py
from django.http import HttpResponseRedirect
from django.shortcuts import render
from homepage.models import Serviciu
from homepage.forms import ServiciuForm
from django.core.urlresolvers import reverse_lazy
from django.contrib.auth.decorators import login_required
from django.views.generic.edit import DeleteView


@login_required()
def servicii(request):
    # if this is a POST request we need to process the form data
    if request.method == 'POST':
        # create a form instance and populate it with data from the request:
        form = ServiciuForm(request.POST)

        # check whether it's valid:
        if form.is_valid():
            # process the data in form.cleaned_data as required
            # ...
            form.save()

        return HttpResponseRedirect('')

    # if a GET (or any other method) we'll create a blank form
    else:
        form = ServiciuForm()
        servicii = Serviciu.objects.all()

    return render(request, 'servicii/serviciu_form.html',
                  {'form': form, 'servicii': servicii})


class ServiciuDelete(DeleteView):
    model = Serviciu
    success_url = reverse_lazy('servicii:adauga_servicii')

servicii/templates/servicii/serviciu_form.html
{% extends 'homepage/base.html' %} {% block content %}

<div class="container">

    <div class="form-group row">
        <h5 class="col-sm-4"><strong>Introdu un nou serviciu</strong></h5>
    </div>

    <form class="form-horizontal" method="POST" action="" role="form">
        {% csrf_token %} {% include 'homepage/form-template.html' %}

        <div class="form-group row">
            <div class="offset-sm-3 col-sm-9">
                <button type="submit" class="btn btn-default" value="submit">Introdu</button>
            </div>
        </div>

        {% for serviciu in servicii %}
        <div class="row">
            <div class="col-sm-3">
                {{ serviciu }}
            </div>
            <div class="col-sm-1">
                <a href="{% url 'servicii:serviciu-delete' serviciu.pk %}">
                    <i class="glyphicon glyphicon-remove"></i>
                </a>
            </div>
        </div>
        {% endfor %}

    </form>
</div>

{% endblock %}